restinio::router::easy_parser_router::impl::special_exact_fixed_size_fragment_clause_t< Size > Class Template Reference

A special clause type for case when exact_fixed_size_fragment_producer should be used without storing its value. More...

`#include <easy_parser_router.hpp>`

Inheritance diagram for restinio::router::easy_parser_router::impl::special_exact_fixed_size_fragment_clause_t< Size >:

## Public Member Functions

| special_exact_fixed_size_fragment_clause_t (const char(&fragment)[Size])

## Private Types

using | producer_t = ep::impl::exact_fixed_size_fragment_producer_t< Size >
using | consumer_t = ep::impl::any_value_skipper_t
using | base_type_t = ep::impl::consume_value_clause_t< producer_t, consumer_t >

## Detailed Description

template<std::size_t Size>
class restinio::router::easy_parser_router::impl::special_exact_fixed_size_fragment_clause_t< Size >

A special clause type for case when exact_fixed_size_fragment_producer should be used without storing its value.

This type is an equivalent of `exact_p() >> skip()`, but it can be used where a type is required.

Since
  v.0.6.6

Definition at line 236 of file easy_parser_router.hpp.

## Member Typedef Documentation

## base_type_t

template<std::size_t Size>

using restinio::router::easy_parser_router::impl::special_exact_fixed_size_fragment_clause_t< Size >::base_type_t = ep::impl::consume_value_clause_t< producer_t, consumer_t >

private

Definition at line 244 of file easy_parser_router.hpp.

## consumer_t

template<std::size_t Size>

using restinio::router::easy_parser_router::impl::special_exact_fixed_size_fragment_clause_t< Size >::consumer_t = ep::impl::any_value_skipper_t

private

Definition at line 242 of file easy_parser_router.hpp.

## producer_t

template<std::size_t Size>

using restinio::router::easy_parser_router::impl::special_exact_fixed_size_fragment_clause_t< Size >::producer_t = ep::impl::exact_fixed_size_fragment_producer_t<Size>

private

Definition at line 241 of file easy_parser_router.hpp.

## Constructor & Destructor Documentation

## special_exact_fixed_size_fragment_clause_t()

template<std::size_t Size>

restinio::router::easy_parser_router::impl::special_exact_fixed_size_fragment_clause_t< Size >::special_exact_fixed_size_fragment_clause_t | ( | const char(&) | fragment[Size] | ) |

inline

Definition at line 249 of file easy_parser_router.hpp.

The documentation for this class was generated from the following file:

- restinio/router/easy_parser_router.hpp